import React, { ReactElement } from "react"
import { Content, Link, Text } from "@onegeo-suite/gatsby-theme-onegeo"

function feature(): ReactElement {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc">Retour</Link>

                <h1>Text</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`
interface IText {
    title?: string
    content?: string
    className?: string
    action?: {
        name?: string
        url?: string
        className?: string
    }
}`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className="mt-10">
                <Text
                    title="Action"
                    content="Action description for the Button"
                    action={{
                        url: "#",
                        name: "Action",
                    }}
                />
            </div>
        </Content>
    )
}

export default feature
